Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038926
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-07-10 15:422018-08-08 13:06
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision8b5e2d88f586
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038926: Not Posted Transaction Report is showing records that belong to organizations the role does not have access to

DescriptionNot Posted Transaction Report is showing records that belong to organizations the role does not have access to
Steps To ReproduceAs group admin role:
   Unschedule "Acct Server Process" background process
   Create a new Sales Invoice in F&B US, Inc
   Create a new role
      User level: Organization
      Manual: Y
   Add access to F&B España, S.A. organization
   Add access to Not Posted Transaction Report
   Assign it to Openbravo user

Log in with that role
   Launch the Not Posted Transaction Report and check the previously created invoice is shown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105814)
markmm82 (developer)
2018-07-20 01:24

Test Plan:
As group admin role:
   Unschedule "Acct Server Process" background process
   Create a new Sales Invoice in F&B US, Inc
   Create a new role
      User level: Organization
      Manual: Y
   Add access to F&B España, S.A. organization
   Add access to Not Posted Transaction Report
   Assign it to Openbravo user

Log in with that role
   Launch the Not Posted Transaction Report and check the previously created invoice is not shown.
   Notice that only transactions for F&B España, S.A. and it children are shown.

As group admin role:
   Go to previously created role and change the access to F&B US, Inc organization instead of F&B España, S.A. organization.
Log in with that role again
   Launch the Not Posted Transaction Report and check the previously created invoice is now shown.
   Notice that transactions for F&B US, Inc and it children are only ones shown.
(0105946)
hgbot (developer)
2018-07-25 12:50

Repository: erp/devel/pi
Changeset: 8b5e2d88f58683e7e804bfaa8f0c49d8a44f2ada
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jul 18 22:56:00 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/8b5e2d88f58683e7e804bfaa8f0c49d8a44f2ada [^]

Fixes issue 38926: Not Posted Transaction Report is showing records that belong
to organizations the role does not have access to

Added filtering by organizations to avoid see entries of organizations not accessible
by the user role in the Not Posted Transaction Report.

---
M src/org/openbravo/erpCommon/ad_reports/ReportNotPosted.java
M src/org/openbravo/erpCommon/ad_reports/ReportNotPosted_data.xsql
---
(0105947)
dmiguelez (developer)
2018-07-25 12:50

Code Review + Testing Ok
(0106231)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-10 15:42 ngarcia New Issue
2018-07-10 15:42 ngarcia Assigned To => Triage Finance
2018-07-10 15:42 ngarcia Modules => Core
2018-07-10 15:42 ngarcia Triggers an Emergency Pack => No
2018-07-10 15:45 ngarcia Issue Monitored: networkb
2018-07-10 16:38 Practics Issue Monitored: Practics
2018-07-16 16:51 markmm82 Assigned To Triage Finance => markmm82
2018-07-16 16:52 markmm82 Status new => acknowledged
2018-07-20 01:24 markmm82 Note Added: 0105814
2018-07-20 01:24 markmm82 Status acknowledged => scheduled
2018-07-25 12:50 hgbot Checkin
2018-07-25 12:50 hgbot Note Added: 0105946
2018-07-25 12:50 hgbot Status scheduled => resolved
2018-07-25 12:50 hgbot Resolution open => fixed
2018-07-25 12:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b5e2d88f58683e7e804bfaa8f0c49d8a44f2ada [^]
2018-07-25 12:50 dmiguelez Review Assigned To => dmiguelez
2018-07-25 12:50 dmiguelez Note Added: 0105947
2018-07-25 12:50 dmiguelez Status resolved => closed
2018-07-25 12:50 dmiguelez Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106231


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker